switch-priv-modes:
  switch_modes: false
  num_switches: 40

priv-mode:
  mode: m

general:
  total_instructions: 70000
  regs_not_use: x1,x2,x0
  custom_trap_handler: false
  code_start_address: 0x80000000
  default_program_exit: false
  delegation: 0x000

isa-instruction-distribution:
  rel_sys: 0
  rel_sys.csr: 0
  rel_rv32i.ctrl: 0
  rel_rv32i.compute: 10
  rel_rv32i.data: 90
  rel_rv32i.fence: 0
  rel_rv64i.compute: 10
  rel_rv64i.data: 90
  rel_rv32m: 0
  rel_rv64m: 0
  rel_rv32a: 0
  rel_rv64a: 0
  rel_rv32f: 0
  rel_rv64f: 0
  rel_rv32d: 0
  rel_rv64d: 0
  rel_rvc.ctrl: 5
  rel_rvc.compute: 0
  rel_rvc.sp: 10
  rel_rvc.data: 90
  rel_rvc.fdata: 90
  rel_rv32c.compute: 0
  rel_rv32c.ctrl: 0
  rel_rv32c.fdata: 90
  rel_rv64c.compute: 10
  rel_rv64c.data: 90

float-rounding:
  rne: 10
  rtz: 10
  rdn: 10
  rup: 10
  rmm: 10
  dyn: 10

branch-control:
  block-size: 7
  backward-probability: 0.5

recursion-options:
  recursion-enable: false
  recursion-depth: 10
  recursion-calls: 5


access-sections:
  begin_signature: 0x800a0000,0x800f0000,rw

user-functions:
  func1: '{100: "addi sp, sp, -40*REGBYTES;
 SREG x1,1*REGBYTES(sp);
 SREG x3,3*REGBYTES(sp);
 SREG x4,4*REGBYTES(sp);
 SREG x5,5*REGBYTES(sp);
 SREG x6,6*REGBYTES(sp);
 SREG x7,7*REGBYTES(sp);
 SREG x8,8*REGBYTES(sp);
 SREG x9,9*REGBYTES(sp);
 SREG x10,10*REGBYTES(sp);
 SREG x11,11*REGBYTES(sp);
 SREG x12,12*REGBYTES(sp);
 SREG x13,13*REGBYTES(sp);
 SREG x14,14*REGBYTES(sp);
 SREG x15,15*REGBYTES(sp);
 SREG x16,16*REGBYTES(sp);
 SREG x17,17*REGBYTES(sp);
 SREG x18,18*REGBYTES(sp);
 SREG x19,19*REGBYTES(sp);
 SREG x20,20*REGBYTES(sp);
 SREG x21,21*REGBYTES(sp);
 SREG x22,22*REGBYTES(sp);
 SREG x23,23*REGBYTES(sp);
 SREG x24,24*REGBYTES(sp);
 SREG x25,25*REGBYTES(sp);
 SREG x26,26*REGBYTES(sp);
 SREG x27,27*REGBYTES(sp);
 SREG x28,28*REGBYTES(sp);
 SREG x29,29*REGBYTES(sp);
 SREG x30,30*REGBYTES(sp);
 SREG x31,31*REGBYTES(sp);
 li  x1, 0x4d9c86ca7324c8ed;
 li  x3, 0x7e9cb310cab58501;
 li  x4, 0x7a9b3534b2ea37a2;
 li  x5, 0x11d6d532428d2894;
 li  x6, 0x2c6276955b99d589;
 li  x7, 0x502b346b91f0fbd1;
 li  x8, 0x67025a175ef7c3d3;
 li  x9, 0x2969de748f2e0ba5;
 li  x10, 0x75e08617d3d7926c;
 li  x11, 0x4df869683ca578b1;
 li  x12, 0x4e4673374174b19f;
 li  x13, 0x1446ce34275866fb;
 li  x14, 0x2e0d9a4bc8676d81;
 li  x15, 0x149315960fed1a57;
 li  x16, 0x0525b5cf790a6d04;
 li  x17, 0x4f534234b65a0e94;
 li  x18, 0x5aa1fb8b1c58bbce;
 li  x19, 0x044555bdae4cb01e;
 li  x20, 0x4adb515c0d85eb92;
 li  x21, 0x18b5492ac3c1d9f5;
 li  x22, 0x7f13ea9f9a285221;
 li  x23, 0x13ad3df926886c5a;
 li  x24, 0x4bb16c8386cf10a2;
 li  x25, 0x54e47a65c762e1c2;
 li  x26, 0x308d3782e43be0e6;
 li  x27, 0x181125c9e7de42c5;
 li  x28, 0x31bacbe6aa0f34b3;
 li  x29, 0x39eaae48c0a340ea;
 li  x30, 0x5e36df32c27fe42b;
 li  x31, 0x7d1fd47e3df81f42;
 li x30, 10; 
outer_loop: li x31, 20;
    loop:
	       lw  x1,0(sp);
	       lw  x4,4(sp);
	       lw  x8,8(sp);
	       lw  x12,12(sp);
	       lw  x16,16(sp);
         lw  x20,20(sp);
	       lw  x24,24(sp);
	       lw  x28,28(sp);
         sw  x20,20(sp);
	       sw  x24,24(sp);
	       sw  x28,28(sp);
	       sw  x12,12(sp);
	       sw  x16,16(sp);
         sw  x1,0(sp);
	       sw  x4,4(sp);
	       sw  x8,8(sp);
	       ld  x1,0(sp);
	       ld  x4,4(sp);
	       ld  x8,8(sp);
	       ld  x12,12(sp);
	       ld  x16,16(sp);
         ld  x20,20(sp);
	       ld  x24,24(sp);
	       ld  x28,28(sp);
         addi x31, x31, -1;
         bnez x31, loop;
         addi x30, x30, -1;
         bnez x30, outer_loop;
    LREG x1,1*REGBYTES(sp);
		LREG x3,3*REGBYTES(sp);
		LREG x4,4*REGBYTES(sp);
		LREG x5,5*REGBYTES(sp);
		LREG x6,6*REGBYTES(sp);
		LREG x7,7*REGBYTES(sp);
		LREG x8,8*REGBYTES(sp);
		LREG x9,9*REGBYTES(sp);
		LREG x10,10*REGBYTES(sp);
		LREG x11,11*REGBYTES(sp);
		LREG x12,12*REGBYTES(sp);
		LREG x13,13*REGBYTES(sp);
		LREG x14,14*REGBYTES(sp);
		LREG x15,15*REGBYTES(sp);
		LREG x16,16*REGBYTES(sp);
		LREG x17,17*REGBYTES(sp);
		LREG x18,18*REGBYTES(sp);
		LREG x19,19*REGBYTES(sp);
		LREG x20,20*REGBYTES(sp);
		LREG x21,21*REGBYTES(sp);
		LREG x22,22*REGBYTES(sp);
		LREG x23,23*REGBYTES(sp);
		LREG x24,24*REGBYTES(sp);
		LREG x25,25*REGBYTES(sp);
		LREG x26,26*REGBYTES(sp);
		LREG x27,27*REGBYTES(sp);
		LREG x28,28*REGBYTES(sp);
		LREG x29,29*REGBYTES(sp);
		LREG x30,30*REGBYTES(sp);
		LREG x31,31*REGBYTES(sp);
		addi sp, sp, 40*REGBYTES;
" }'


i-cache:
  num_calls: 0
  num_bytes_per_block: 64
  num_blocks: 512
  num_cycles: 100

d-cache:
  num_calls: 10
  num_bytes_per_block: 64
  num_blocks: 512
  num_cycles: 100

exception-generation:
  ecause00: 0
  ecause01: 0
  ecause02: 0
  ecause03: 0
  ecause04: 0
  ecause05: 0
  ecause06: 0
  ecause07: 0
  ecause08: 0
  ecause09: 0
  ecause10: 0
  ecause11: 0
  ecause12: 0
  ecause13: 0
  ecause14: 0

csr-sections:
  sections: 0x000:0xfff

data-hazards:
  raw_prob: 1
  war_prob: 1
  waw_prob: 1
  num_regs_lookbehind: 3

program-macro:
  pre_program_macro: "add x0,x0,x0"
  post_program_macro: "li gp,1; \n sw gp, tohost, t5;\n fence.i;\n li t6,  0x20000; \n la t5, begin_signature; \n sw t5, 0(t6); \n la t5, end_signature \n sw t5, 8(t6); \n sw t5,  12(t6);"        
  pre_branch_macro: "add x0,x0,x0"
  post_branch_macro: "add x0,x0,x0"
  ecause00: "random"
  ecause01: "random"
  ecause02: "random"
  ecause03: "random"
  ecause04: "random"
  ecause05: "random"
  ecause06: "random"
  ecause07: "random"
  ecause08: "random"
  ecause09: "random"
  ecause10: "random"
  ecause11: "random"
  ecause12: "random"
  ecause13: "random"
  ecause14: "random"
